Create a KnowledgeBase
Server:
https://{kibana_url}
- POST /api/security_ai_assistant/knowledge_base
- POST /s/{space_id}/api/security_ai_assistant/knowledge_base
Refer to Spaces for more information.
Create a knowledge base. Use this endpoint when no specific resource identifier is needed.
Query Parameters
-
modelIdstring ELSER modelId to use when setting up the Knowledge Base. If not provided, a default model will be used.
-
ignoreSecurityLabsboolean · default: false Indicates whether we should or should not install Security Labs docs when setting up the Knowledge Base. Defaults to
false.
Responses
Indicates a successful call.
-
successboolean -
Identify the success of the method execution.
Bad Request response.
-
errorstring -
A short description of the error.
-
messagestring -
A detailed error message.
-
statusCodenumber -
The HTTP status code of the error.